package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CustomerProjectEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2018/12/21.
 */
@Repository
public interface CustomerProjectMapper {

    CustomerProjectEntity queryById(int id);

    List<CustomerProjectEntity> queryByConditions(Map<String, Object> map);

    void updateCustomerStatus(Map<String, Object> map);

    List<Map<String, Object>> queryReport(Map<String, Object> map);

    int queryReportCount(Map<String, Object> map);

    void updateNameAndCode(Map<String, Object> map);

    List<CustomerProjectEntity> getCustomerProjectInfo(Map<String, Object> map);

    int queryPlatCustomerStatus(Map<String, Object> map);

    List<CustomerProjectEntity> getPhonesById(String projectId);

    void updateOldPid2NewPid(Map<String, String> map);

    List<Map<String, Object>> querySuccessList(Map<String, Object> map);

    int querySuccessListCount(Map<String, Object> map);
}
